Aller au contenu
Se connecter S'inscrire

API Profils Google Scholar

Recherchez des profils d’auteurs Google Scholar par nom. Définissez engine=google_scholar_profiles et transmettez le nom dans mauthors pour obtenir une liste des auteurs correspondants avec leurs identifiants, affiliations et nombres de citations.

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesVotre clé API SERP
enginestringyesDoit être google_scholar_profiles
mauthorsstringyesLe ou les noms d’auteur à rechercher
hlstringnoCode de langue de l’interface
after_authorstringnoJeton de page suivante, doit suivre une valeur before_author
before_authorstringnoJeton de page précédente
Fenêtre de terminal
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}